1. Crypto Deposit
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
          POST
        • Get Crypto Deposit Wallet
          GET
        • Get Crypto Deposit
          GET
        • Get Crypto Deposit History
          GET
        • Crypto Deposit Webhook
        • Crypto Deposit Wallet Status Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Refunding a High-Risk Crypto Deposit
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout
        • Get Checkout History
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Validate Crypto Address
      • Upload File
      • getTnC
  1. Crypto Deposit

Crypto Deposit Webhook

Webhook
POST
Crypto Deposit Webhook
To update crypto deposit status.
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.
Applies to: PSP and Direct Client
If kytInfo.kytResult is 2 or 3, the deposit is not credited. Initiate a refund by following the "Refunding a High-Risk Crypto Deposit" flow (see the Crypto Refund section).

Request

Authorization
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoDepositId": "string",
        "participantCode": "string",
        "currency": "string",
        "amount": "string",
        "blockchain": "string",
        "fromWalletAddress": "string",
        "toWalletAddress": "string",
        "txHash": "string",
        "travelRuleInfo": {
            "blockchain": "string",
            "walletAddress": "string",
            "isOwner": true,
            "walletType": 1,
            "platformName": "string",
            "platformUserId": "string",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "name": "string",
                    "DOB": "2019-08-24",
                    "identityNumber": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 1,
            "kytDetails": "string"
        },
        "nonce": 0,
        "blockNumber": 0,
        "confirmationCount": 0,
        "status": 1,
        "statusInfo": "string",
        "updatedAt": 0,
        "createdAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "cryptoDepositId": "string",
        "participantCode": "string",
        "currency": "string",
        "amount": "string",
        "blockchain": "string",
        "fromWalletAddress": "string",
        "toWalletAddress": "string",
        "txHash": "string",
        "travelRuleInfo": {
            "blockchain": "string",
            "walletAddress": "string",
            "isOwner": true,
            "walletType": 1,
            "platformName": "string",
            "platformUserId": "string",
            "ownerInfo": {
                "ownerType": 1,
                "details": {
                    "name": "string",
                    "DOB": "2019-08-24",
                    "identityNumber": "string",
                    "residentialAddress": {
                        "country": "string",
                        "state": "string",
                        "city": "string",
                        "postcode": "string",
                        "addressLine1": "string",
                        "addressLine2": "string"
                    }
                }
            }
        },
        "kytInfo": {
            "kytType": 1,
            "kytResult": 1,
            "kytDetails": "string"
        },
        "nonce": 0,
        "blockNumber": 0,
        "confirmationCount": 0,
        "status": 1,
        "statusInfo": "string",
        "updatedAt": 0,
        "createdAt": 0
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-08-18 03:10:08
Previous
Get Crypto Deposit History
Next
Crypto Deposit Wallet Status Webhook
Built with